import { Sprite } from "./engine/internal/sprite.ts";

import imgResourcePickup from "./art/pickups/resources.png";
import imgStatPickup from "./art/pickups/stats.png";
import imgLadder from "./art/pickups/ladder.png";
import imgLock from "./art/pickups/lock.png";
import { Point, Size } from "./engine/datatypes.ts";

import imgThrallBat from "./art/thralls/thrall_bat.png";
import imgThrallCharm from "./art/thralls/thrall_charm.png";
import imgThrallLore from "./art/thralls/thrall_lore.png";
import imgThrallParty from "./art/thralls/thrall_party.png";
import imgThrallStare from "./art/thralls/thrall_stare.png";
import imgThrallStealth from "./art/thralls/thrall_stealth.png";

export let sprResourcePickup = new Sprite(
  imgResourcePickup,
  new Size(32, 32),
  new Point(16, 16),
  new Size(1, 1),
  1,
);

export let sprStatPickup = new Sprite(
  imgStatPickup,
  new Size(32, 32),
  new Point(16, 16),
  new Size(4, 1),
  4,
);

export let sprLadder = new Sprite(
  imgLadder,
  new Size(16, 16),
  new Point(8, 8),
  new Size(1, 1),
  1,
);

export let sprLock = new Sprite(
  imgLock,
  new Size(16, 16),
  new Point(8, 8),
  new Size(1, 1),
  1,
);

export let sprThrallBat = new Sprite(
  imgThrallBat,
  new Size(24, 24),
  new Point(12, 12),
  new Size(4, 1),
  4,
);
export let sprThrallCharm = new Sprite(
  imgThrallCharm,
  new Size(24, 24),
  new Point(12, 12),
  new Size(4, 1),
  4,
);
export let sprThrallLore = new Sprite(
  imgThrallLore,
  new Size(24, 24),
  new Point(12, 12),
  new Size(4, 1),
  4,
);
export let sprThrallParty = new Sprite(
  imgThrallParty,
  new Size(24, 24),
  new Point(12, 12),
  new Size(4, 1),
  4,
);
export let sprThrallStare = new Sprite(
  imgThrallStare,
  new Size(24, 24),
  new Point(12, 12),
  new Size(4, 1),
  4,
);
export let sprThrallStealth = new Sprite(
  imgThrallStealth,
  new Size(24, 24),
  new Point(12, 12),
  new Size(4, 1),
  4,
);
